diff --git a/doc/src/sgml/config.sgml b/doc/src/sgml/config.sgml
index 23d2b1be424..aef2d9b14d3 100644
--- a/doc/src/sgml/config.sgml
+++ b/doc/src/sgml/config.sgml
@@ -5408,21 +5333,20 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
 
      <variablelist>
      <varlistentry id="guc-enable-async-append" xreflabel="enable_async_append">
-      <term><varname>enable_async_append</varname> (<type>boolean</type>)
+      <term><varname>enable_async_append</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary><varname>enable_async_append</varname> configuration parameter</primary>
       </indexterm>
       </term>
       <listitem>
        <para>
-        Enables or disables the query planner's use of async-aware
-        append plan types. The default is <literal>on</literal>.
+        Enables or disables the query planner's use of async-aware append plan types. 
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-enable-bitmapscan" xreflabel="enable_bitmapscan">
-      <term><varname>enable_bitmapscan</varname> (<type>boolean</type>)
+      <term><varname>enable_bitmapscan</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary>bitmap scan</primary>
       </indexterm>
@@ -5432,8 +5356,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
       </term>
       <listitem>
        <para>
-        Enables or disables the query planner's use of bitmap-scan plan
-        types. The default is <literal>on</literal>.
+        Enables or disables the query planner's use of bitmap-scan plan types. 
        </para>
       </listitem>
      </varlistentry>
@@ -5453,21 +5376,20 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      </varlistentry>
 
      <varlistentry id="guc-enable-gathermerge" xreflabel="enable_gathermerge">
-      <term><varname>enable_gathermerge</varname> (<type>boolean</type>)
+      <term><varname>enable_gathermerge</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary><varname>enable_gathermerge</varname> configuration parameter</primary>
       </indexterm>
       </term>
       <listitem>
        <para>
-        Enables or disables the query planner's use of gather
-        merge plan types. The default is <literal>on</literal>.
+        Enables or disables the query planner's use of gather merge plan types. 
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-enable-groupby-reordering" xreflabel="enable_group_by_reordering">
-      <term><varname>enable_group_by_reordering</varname> (<type>boolean</type>)
+      <term><varname>enable_group_by_reordering</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary><varname>enable_group_by_reordering</varname> configuration parameter</primary>
       </indexterm>
@@ -5479,42 +5401,39 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
         a child node of the plan, such as an index scan.  When disabled, the
         query planner will produce a plan with <literal>GROUP BY</literal>
         keys only sorted to match the <literal>ORDER BY</literal> clause,
-        if any. When enabled, the planner will try to produce a more
-        efficient plan. The default value is <literal>on</literal>.
+        if any. When enabled, the planner will try to produce a more efficient plan. 
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-enable-hashagg" xreflabel="enable_hashagg">
-      <term><varname>enable_hashagg</varname> (<type>boolean</type>)
+      <term><varname>enable_hashagg</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary><varname>enable_hashagg</varname> configuration parameter</primary>
       </indexterm>
       </term>
       <listitem>
        <para>
-        Enables or disables the query planner's use of hashed
-        aggregation plan types. The default is <literal>on</literal>.
+        Enables or disables the query planner's use of hashed aggregation plan types. 
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-enable-hashjoin" xreflabel="enable_hashjoin">
-      <term><varname>enable_hashjoin</varname> (<type>boolean</type>)
+      <term><varname>enable_hashjoin</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary><varname>enable_hashjoin</varname> configuration parameter</primary>
       </indexterm>
       </term>
       <listitem>
        <para>
-        Enables or disables the query planner's use of hash-join plan
-        types. The default is <literal>on</literal>.
+        Enables or disables the query planner's use of hash-join plan types. 
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-enable-incremental-sort" xreflabel="enable_incremental_sort">
-      <term><varname>enable_incremental_sort</varname> (<type>boolean</type>)
+      <term><varname>enable_incremental_sort</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary><varname>enable_incremental_sort</varname> configuration parameter</primary>
       </indexterm>
@@ -5522,13 +5441,12 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
       <listitem>
        <para>
         Enables or disables the query planner's use of incremental sort steps.
-        The default is <literal>on</literal>.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-enable-indexscan" xreflabel="enable_indexscan">
-      <term><varname>enable_indexscan</varname> (<type>boolean</type>)
+      <term><varname>enable_indexscan</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary>index scan</primary>
       </indexterm>
@@ -5538,15 +5456,14 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
       </term>
       <listitem>
        <para>
-        Enables or disables the query planner's use of index-scan and
-        index-only-scan plan types.  The default is <literal>on</literal>.
+        Enables or disables the query planner's use of index-scan and index-only-scan plan types.  
         Also see <xref linkend="guc-enable-indexonlyscan"/>.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-enable-indexonlyscan" xreflabel="enable_indexonlyscan">
-      <term><varname>enable_indexonlyscan</varname> (<type>boolean</type>)
+      <term><varname>enable_indexonlyscan</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary><varname>enable_indexonlyscan</varname> configuration parameter</primary>
       </indexterm>
@@ -5555,15 +5472,14 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
        <para>
         Enables or disables the query planner's use of index-only-scan plan
         types (see <xref linkend="indexes-index-only-scans"/>).
-        The default is <literal>on</literal>.  The
-        <xref linkend="guc-enable-indexscan"/> setting must also be
+        The <xref linkend="guc-enable-indexscan"/> setting must also be
         enabled to have the query planner consider index-only-scans.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-enable-material" xreflabel="enable_material">
-      <term><varname>enable_material</varname> (<type>boolean</type>)
+      <term><varname>enable_material</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary><varname>enable_material</varname> configuration parameter</primary>
       </indexterm>
@@ -5574,13 +5490,12 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
         It is impossible to suppress materialization entirely,
         but turning this variable off prevents the planner from inserting
         materialize nodes except in cases where it is required for correctness.
-        The default is <literal>on</literal>.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-enable-memoize" xreflabel="enable_memoize">
-      <term><varname>enable_memoize</varname> (<type>boolean</type>)
+      <term><varname>enable_memoize</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary><varname>enable_memoize</varname> configuration parameter</primary>
       </indexterm>
@@ -5592,28 +5507,26 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
         This plan type allows scans to the underlying plans to be skipped when
         the results for the current parameters are already in the cache.  Less
         commonly looked up results may be evicted from the cache when more
-        space is required for new entries. The default is
-        <literal>on</literal>.
+        space is required for new entries. 
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-enable-mergejoin" xreflabel="enable_mergejoin">
-      <term><varname>enable_mergejoin</varname> (<type>boolean</type>)
+      <term><varname>enable_mergejoin</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary><varname>enable_mergejoin</varname> configuration parameter</primary>
       </indexterm>
       </term>
       <listitem>
        <para>
-        Enables or disables the query planner's use of merge-join plan
-        types. The default is <literal>on</literal>.
+        Enables or disables the query planner's use of merge-join plan types. 
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-enable-nestloop" xreflabel="enable_nestloop">
-      <term><varname>enable_nestloop</varname> (<type>boolean</type>)
+      <term><varname>enable_nestloop</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary><varname>enable_nestloop</varname> configuration parameter</primary>
       </indexterm>
@@ -5623,28 +5536,26 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
         Enables or disables the query planner's use of nested-loop join
         plans. It is impossible to suppress nested-loop joins entirely,
         but turning this variable off discourages the planner from using
-        one if there are other methods available. The default is
-        <literal>on</literal>.
+        one if there are other methods available. 
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-enable-parallel-append" xreflabel="enable_parallel_append">
-      <term><varname>enable_parallel_append</varname> (<type>boolean</type>)
+      <term><varname>enable_parallel_append</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary><varname>enable_parallel_append</varname> configuration parameter</primary>
       </indexterm>
       </term>
       <listitem>
        <para>
-        Enables or disables the query planner's use of parallel-aware
-        append plan types. The default is <literal>on</literal>.
+        Enables or disables the query planner's use of parallel-aware append plan types. 
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-enable-parallel-hash" xreflabel="enable_parallel_hash">
-      <term><varname>enable_parallel_hash</varname> (<type>boolean</type>)
+      <term><varname>enable_parallel_hash</varname> (<type>boolean</type>) - default is on
        <indexterm>
         <primary><varname>enable_parallel_hash</varname> configuration parameter</primary>
        </indexterm>
@@ -5652,14 +5563,13 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
       <listitem>
        <para>
         Enables or disables the query planner's use of hash-join plan
-        types with parallel hash. Has no effect if hash-join plans are not
-        also enabled. The default is <literal>on</literal>.
+        types with parallel hash. Has no effect if hash-join plans are not also enabled. 
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-enable-partition-pruning" xreflabel="enable_partition_pruning">
-      <term><varname>enable_partition_pruning</varname> (<type>boolean</type>)
+      <term><varname>enable_partition_pruning</varname> (<type>boolean</type>) - default is on
        <indexterm>
         <primary><varname>enable_partition_pruning</varname> configuration parameter</primary>
        </indexterm>
@@ -5669,15 +5579,14 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
         Enables or disables the query planner's ability to eliminate a
         partitioned table's partitions from query plans.  This also controls
         the planner's ability to generate query plans which allow the query
-        executor to remove (ignore) partitions during query execution.  The
-        default is <literal>on</literal>.
+        executor to remove (ignore) partitions during query execution.  
         See <xref linkend="ddl-partition-pruning"/> for details.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-enable-partitionwise-join" xreflabel="enable_partitionwise_join">
-      <term><varname>enable_partitionwise_join</varname> (<type>boolean</type>)
+      <term><varname>enable_partitionwise_join</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary><varname>enable_partitionwise_join</varname> configuration parameter</primary>
       </indexterm>
@@ -5695,13 +5604,13 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
         number of partitions being scanned.  This can result in a large
         increase in overall memory consumption during the execution of the
         query.  Query planning also becomes significantly more expensive in
-        terms of memory and CPU.  The default value is <literal>off</literal>.
+        terms of memory and CPU.  
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-enable-partitionwise-aggregate" xreflabel="enable_partitionwise_aggregate">
-      <term><varname>enable_partitionwise_aggregate</varname> (<type>boolean</type>)
+      <term><varname>enable_partitionwise_aggregate</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary><varname>enable_partitionwise_aggregate</varname> configuration parameter</primary>
       </indexterm>
@@ -5719,14 +5628,13 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
         linearly according to the number of partitions being scanned.  This
         can result in a large increase in overall memory consumption during
         the execution of the query.  Query planning also becomes significantly
-        more expensive in terms of memory and CPU.  The default value is
-        <literal>off</literal>.
+        more expensive in terms of memory and CPU.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-enable-presorted-aggregate" xreflabel="enable_presorted_aggregate">
-      <term><varname>enable_presorted_aggregate</varname> (<type>boolean</type>)
+      <term><varname>enable_presorted_aggregate</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary><varname>enable_presorted_aggregate</varname> configuration parameter</primary>
       </indexterm>
@@ -5742,8 +5650,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
         <literal>ORDER BY</literal> or <literal>DISTINCT</literal> clause.
         When enabled, the planner will try to produce a more efficient plan
         which provides input to the aggregate functions which is presorted in
-        the order they require for aggregation.  The default value is
-        <literal>on</literal>.
+        the order they require for aggregation.  
        </para>
       </listitem>
      </varlistentry>
@@ -5765,7 +5672,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      </varlistentry>
 
      <varlistentry id="guc-enable-seqscan" xreflabel="enable_seqscan">
-      <term><varname>enable_seqscan</varname> (<type>boolean</type>)
+      <term><varname>enable_seqscan</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary>sequential scan</primary>
       </indexterm>
@@ -5778,14 +5685,13 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
         Enables or disables the query planner's use of sequential scan
         plan types. It is impossible to suppress sequential scans
         entirely, but turning this variable off discourages the planner
-        from using one if there are other methods available. The
-        default is <literal>on</literal>.
+        from using one if there are other methods available.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-enable-sort" xreflabel="enable_sort">
-      <term><varname>enable_sort</varname> (<type>boolean</type>)
+      <term><varname>enable_sort</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary><varname>enable_sort</varname> configuration parameter</primary>
       </indexterm>
@@ -5795,22 +5701,20 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
         Enables or disables the query planner's use of explicit sort
         steps. It is impossible to suppress explicit sorts entirely,
         but turning this variable off discourages the planner from
-        using one if there are other methods available. The default
-        is <literal>on</literal>.
+        using one if there are other methods available.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-enable-tidscan" xreflabel="enable_tidscan">
-      <term><varname>enable_tidscan</varname> (<type>boolean</type>)
+      <term><varname>enable_tidscan</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary><varname>enable_tidscan</varname> configuration parameter</primary>
       </indexterm>
       </term>
       <listitem>
        <para>
-        Enables or disables the query planner's use of <acronym>TID</acronym>
-        scan plan types. The default is <literal>on</literal>.
+        Enables or disables the query planner's use of <acronym>TID</acronym> scan plan types. 
        </para>
       </listitem>
      </varlistentry>
@@ -5845,7 +5749,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      <variablelist>
 
      <varlistentry id="guc-seq-page-cost" xreflabel="seq_page_cost">
-      <term><varname>seq_page_cost</varname> (<type>floating point</type>)
+      <term><varname>seq_page_cost</varname> (<type>floating point</type>) - default is 1.0
       <indexterm>
        <primary><varname>seq_page_cost</varname> configuration parameter</primary>
       </indexterm>
@@ -5853,7 +5757,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
       <listitem>
        <para>
         Sets the planner's estimate of the cost of a disk page fetch
-        that is part of a series of sequential fetches.  The default is 1.0.
+        that is part of a series of sequential fetches.  
         This value can be overridden for tables and indexes in a particular
         tablespace by setting the tablespace parameter of the same name
         (see <xref linkend="sql-altertablespace"/>).
@@ -5862,7 +5766,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      </varlistentry>
 
      <varlistentry id="guc-random-page-cost" xreflabel="random_page_cost">
-      <term><varname>random_page_cost</varname> (<type>floating point</type>)
+      <term><varname>random_page_cost</varname> (<type>floating point</type>) - default is 4.0
       <indexterm>
        <primary><varname>random_page_cost</varname> configuration parameter</primary>
       </indexterm>
@@ -5870,7 +5774,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
       <listitem>
        <para>
         Sets the planner's estimate of the cost of a
-        non-sequentially-fetched disk page.  The default is 4.0.
+        non-sequentially-fetched disk page.  
         This value can be overridden for tables and indexes in a particular
         tablespace by setting the tablespace parameter of the same name
         (see <xref linkend="sql-altertablespace"/>).
@@ -5887,8 +5791,8 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
 
        <para>
         Random access to mechanical disk storage is normally much more expensive
-        than four times sequential access.  However, a lower default is used
-        (4.0) because the majority of random accesses to disk, such as indexed
+        than four times sequential access.  However, a value of 4.0 is used
+        because the majority of random accesses to disk, such as indexed
         reads, are assumed to be in cache.  The default value can be thought of
         as modeling random access as 40 times slower than sequential, while
         expecting 90% of random reads to be cached.
@@ -5922,7 +5826,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      </varlistentry>
 
      <varlistentry id="guc-cpu-tuple-cost" xreflabel="cpu_tuple_cost">
-      <term><varname>cpu_tuple_cost</varname> (<type>floating point</type>)
+      <term><varname>cpu_tuple_cost</varname> (<type>floating point</type>) - default is 0.01
       <indexterm>
        <primary><varname>cpu_tuple_cost</varname> configuration parameter</primary>
       </indexterm>
@@ -5931,13 +5835,12 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
        <para>
         Sets the planner's estimate of the cost of processing
         each row during a query.
-        The default is 0.01.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-cpu-index-tuple-cost" xreflabel="cpu_index_tuple_cost">
-      <term><varname>cpu_index_tuple_cost</varname> (<type>floating point</type>)
+      <term><varname>cpu_index_tuple_cost</varname> (<type>floating point</type>) - default is 0.005
       <indexterm>
        <primary><varname>cpu_index_tuple_cost</varname> configuration parameter</primary>
       </indexterm>
@@ -5946,13 +5849,12 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
        <para>
         Sets the planner's estimate of the cost of processing
         each index entry during an index scan.
-        The default is 0.005.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-cpu-operator-cost" xreflabel="cpu_operator_cost">
-      <term><varname>cpu_operator_cost</varname> (<type>floating point</type>)
+      <term><varname>cpu_operator_cost</varname> (<type>floating point</type>) - default is 0.0025
       <indexterm>
        <primary><varname>cpu_operator_cost</varname> configuration parameter</primary>
       </indexterm>
@@ -5961,28 +5863,25 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
        <para>
         Sets the planner's estimate of the cost of processing each
         operator or function executed during a query.
-        The default is 0.0025.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-parallel-setup-cost" xreflabel="parallel_setup_cost">
-      <term><varname>parallel_setup_cost</varname> (<type>floating point</type>)
+      <term><varname>parallel_setup_cost</varname> (<type>floating point</type>) - default is 1000
       <indexterm>
        <primary><varname>parallel_setup_cost</varname> configuration parameter</primary>
       </indexterm>
       </term>
       <listitem>
        <para>
-        Sets the planner's estimate of the cost of launching parallel worker
-        processes.
-        The default is 1000.
+        Sets the planner's estimate of the cost of launching parallel worker processes.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-parallel-tuple-cost" xreflabel="parallel_tuple_cost">
-      <term><varname>parallel_tuple_cost</varname> (<type>floating point</type>)
+      <term><varname>parallel_tuple_cost</varname> (<type>floating point</type>) - default is 0.1
       <indexterm>
        <primary><varname>parallel_tuple_cost</varname> configuration parameter</primary>
       </indexterm>
@@ -5991,13 +5890,12 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
        <para>
         Sets the planner's estimate of the cost of transferring one tuple
         from a parallel worker process to another process.
-        The default is 0.1.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-min-parallel-table-scan-size" xreflabel="min_parallel_table_scan_size">
-      <term><varname>min_parallel_table_scan_size</varname> (<type>integer</type>)
+      <term><varname>min_parallel_table_scan_size</varname> (<type>integer</type>) - default is 8MB
       <indexterm>
        <primary><varname>min_parallel_table_scan_size</varname> configuration parameter</primary>
       </indexterm>
@@ -6011,13 +5909,12 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
         scanned will normally be less.
         If this value is specified without units, it is taken as blocks,
         that is <symbol>BLCKSZ</symbol> bytes, typically 8kB.
-        The default is 8 megabytes (<literal>8MB</literal>).
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-min-parallel-index-scan-size" xreflabel="min_parallel_index_scan_size">
-      <term><varname>min_parallel_index_scan_size</varname> (<type>integer</type>)
+      <term><varname>min_parallel_index_scan_size</varname> (<type>integer</type>) - default is 512kb
       <indexterm>
        <primary><varname>min_parallel_index_scan_size</varname> configuration parameter</primary>
       </indexterm>
@@ -6033,13 +5930,12 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
         <xref linkend="sql-vacuum"/>.
         If this value is specified without units, it is taken as blocks,
         that is <symbol>BLCKSZ</symbol> bytes, typically 8kB.
-        The default is 512 kilobytes (<literal>512kB</literal>).
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-effective-cache-size" xreflabel="effective_cache_size">
-      <term><varname>effective_cache_size</varname> (<type>integer</type>)
+      <term><varname>effective_cache_size</varname> (<type>integer</type>) - default is 4GB
       <indexterm>
        <primary><varname>effective_cache_size</varname> configuration parameter</primary>
       </indexterm>
@@ -6065,7 +5961,6 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
         the disk cache between queries.
         If this value is specified without units, it is taken as blocks,
         that is <symbol>BLCKSZ</symbol> bytes, typically 8kB.
-        The default is 4 gigabytes (<literal>4GB</literal>).
         (If <symbol>BLCKSZ</symbol> is not 8kB, the default value scales
         proportionally to it.)
        </para>
@@ -6073,7 +5968,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      </varlistentry>
 
      <varlistentry id="guc-jit-above-cost" xreflabel="jit_above_cost">
-      <term><varname>jit_above_cost</varname> (<type>floating point</type>)
+      <term><varname>jit_above_cost</varname> (<type>floating point</type>) - default is 100000
       <indexterm>
        <primary><varname>jit_above_cost</varname> configuration parameter</primary>
       </indexterm>
@@ -6085,13 +5980,12 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
         Performing <acronym>JIT</acronym> costs planning time but can
         accelerate query execution.
         Setting this to <literal>-1</literal> disables JIT compilation.
-        The default is <literal>100000</literal>.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-jit-inline-above-cost" xreflabel="jit_inline_above_cost">
-      <term><varname>jit_inline_above_cost</varname> (<type>floating point</type>)
+      <term><varname>jit_inline_above_cost</varname> (<type>floating point</type>) - default is 500000
       <indexterm>
        <primary><varname>jit_inline_above_cost</varname> configuration parameter</primary>
       </indexterm>
@@ -6103,13 +5997,12 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
         improve execution speed.  It is not meaningful to set this to less
         than <varname>jit_above_cost</varname>.
         Setting this to <literal>-1</literal> disables inlining.
-        The default is <literal>500000</literal>.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-jit-optimize-above-cost" xreflabel="jit_optimize_above_cost">
-      <term><varname>jit_optimize_above_cost</varname> (<type>floating point</type>)
+      <term><varname>jit_optimize_above_cost</varname> (<type>floating point</type>) - default is 500000
       <indexterm>
        <primary><varname>jit_optimize_above_cost</varname> configuration parameter</primary>
       </indexterm>
@@ -6123,7 +6016,6 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
         beneficial to set it to more
         than <varname>jit_inline_above_cost</varname>.
         Setting this to <literal>-1</literal> disables expensive optimizations.
-        The default is <literal>500000</literal>.
        </para>
       </listitem>
      </varlistentry>
@@ -6146,7 +6038,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      <variablelist>
 
      <varlistentry id="guc-geqo" xreflabel="geqo">
-      <term><varname>geqo</varname> (<type>boolean</type>)
+      <term><varname>geqo</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary>genetic query optimization</primary>
       </indexterm>
@@ -6161,7 +6053,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
       <listitem>
        <para>
         Enables or disables genetic query optimization.
-        This is on by default.  It is usually best not to turn it off in
+        It is usually best not to turn it off in
         production; the <varname>geqo_threshold</varname> variable provides
         more granular control of GEQO.
        </para>
@@ -6169,7 +6061,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      </varlistentry>
 
      <varlistentry id="guc-geqo-threshold" xreflabel="geqo_threshold">
-      <term><varname>geqo_threshold</varname> (<type>integer</type>)
+      <term><varname>geqo_threshold</varname> (<type>integer</type>) - default is 12
       <indexterm>
        <primary><varname>geqo_threshold</varname> configuration parameter</primary>
       </indexterm>
